Package org.apache.solr.client.solrj.impl

## Class LBSolrClient.ServerWrapper

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBSolrClient.ServerWrapper

Enclosing class:
  LBSolrClient

    protected static class LBSolrClient.ServerWrapper
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getBaseUrl()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getBaseUrl

    public String getBaseUrl()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`